using Fiesta.Game.Networking.PacketTypes;
using Fiesta.Networking.Packets;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Data.Types;

namespace Login.Worlds.Networking.Packets.Misc.Out
{
	[PacketType(USER.WILLLOGIN_REQ)]
	public class WorldTransferRequest : OutPacket
	{
		public WorldTransferRequest(UInt16 netPacketHeader, byte worldID, UInt32 userID, string userName, UInt16[] guid) : base()
		{
			WriteUInt16(netPacketHeader);
			WriteByte(worldID);
			WriteUInt32(userID);
			WriteString(userName, 18);
			WriteArray(guid, 32);
		}
	}
}